module ("basic_stats.output.csv", package.seeall) 

--- Display results in a CSV format
-- @param results A table containing results to display
function basic_stats:display_csv (results)
   -- Print the header
   print ("function; number of loop; number of block; number of instruction")
   
   -- Iterate over table lines to diplay them
   for f_name, f_res in pairs (results) do
      print (f_name.."; "..f_res.nb_loop..";"..f_res.nb_block..";"..f_res.nb_insn)
   end
end
